package com.xxfc.platform.universal.biz;


import com.xxfc.platform.universal.utils.CCPRestSmsUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class CCPRestSmsBiz{

    //租车订单通知(普通用户)1
    public static final String TEMPLATE_ID_ORDER = "458626";
    //租车订单短信(会员权益)2
    public static final String TEMPLATE_ID_ORDER_MEMBER = "458625";
    //旅游订单短信3
    public static final String TEMPLATE_ID_ORDER_TOUR = "458624";
    //加入会员通知4
    public static final String TEMPLATE_ID_MEMBER = "458623";
    //租/还车公司相同（订单支付后立即发送给相关负责人）5
    public static final String TEMPLATE_ID_TAAKE_CAR = "458622";
    //租/还车公司不同（发给租车公司负责人，订单支付后发送）6
    public static final String TEMPLATE_ID_DIFFERENT_TAAKE_CAR = "458621";
    // 租/还车公司不同（发给还车公司负责人，订单出车后发））(相同不发)7
    public static final String TEMPLATE_ID_ALSO_CAR = "458620";
    //取消订单8
    public static final String TEMPLATE_ID_CANCEL = "458627";


    //发送模板消息
    public  void  sendTemplateSMS(Integer type,String phoneNumbers,String[]params){
         switch (type){
             case 1 :
                 CCPRestSmsUtils.sendTemplateSMS(phoneNumbers,params,TEMPLATE_ID_ORDER);
                 break;
             case 2 :
                 CCPRestSmsUtils.sendTemplateSMS(phoneNumbers,params,TEMPLATE_ID_ORDER_MEMBER);
                 break;
             case 3 :
                 CCPRestSmsUtils.sendTemplateSMS(phoneNumbers,params,TEMPLATE_ID_ORDER_TOUR);
                 break;
             case 4 :
                 CCPRestSmsUtils.sendTemplateSMS(phoneNumbers,params,TEMPLATE_ID_MEMBER);
                 break;
             case 5 :
                 CCPRestSmsUtils.sendTemplateSMS(phoneNumbers,params,TEMPLATE_ID_TAAKE_CAR);
                 break;
             case 6 :
                 CCPRestSmsUtils.sendTemplateSMS(phoneNumbers,params,TEMPLATE_ID_DIFFERENT_TAAKE_CAR);
                 break;
             case 7 :
                 CCPRestSmsUtils.sendTemplateSMS(phoneNumbers,params,TEMPLATE_ID_ALSO_CAR);
                 break;
             case 8 :
                 CCPRestSmsUtils.sendTemplateSMS(phoneNumbers,params,TEMPLATE_ID_CANCEL);
                 break;
         }

    }


}
